Package com.sas.lsaf.clinical.standards

## Class StandardDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.standards.StandardDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class StandardDescriptor
      extends AbstractIdentifiable

  A lightweight representation of a standard.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardDescriptor​(java.lang.String id, java.lang.String name, BaseStandardTypeInfo baseStandardTypeInfo, java.lang.String modelId, java.lang.String description, boolean isCheckedOut, java.lang.String checkedOutBy, java.util.Date checkedOutDate, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, EntityState state, EntityState publishedState, EntityStatus standardStatus, java.lang.String currentVersion, int numStudiesAssociated)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `BaseStandardTypeInfo` | `getBaseStandardTypeInfo()` | Gets the base standard type info of the standard.
    `java.lang.String` | `getCheckedOutBy()` | Gets the userId of the user who checked out the standard.
    `java.util.Date` | `getCheckedOutDate()` | Gets the date on which the standard was checked out.
    `java.util.Date` | `getCreated()` | Gets the date on which the standard was created.
    `java.lang.String` | `getCreatedBy()` | Gets the userId of the user who created the standard.
    `java.lang.String` | `getCurrentVersion()` | Gets the current published version of the standard.
    `java.lang.String` | `getDescription()` | Gets the description of the standard.
    `java.util.Date` | `getLastModified()` | Gets the date on which the standard was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the standard.
    `java.lang.String` | `getModelId()` | Gets the model identifier of the standard.
    `java.lang.String` | `getName()` | Gets the name of the standard.
    `int` | `getNumStudiesAssociated()` | Gets the number of studies that are associated with the standard.
    `EntityState` | `getPublishedState()` | Gets the published state of the standard, if it has been published.
    `EntityStatus` | `getStandardStatus()` | Gets the status of the standard.
    `EntityState` | `getState()` | Gets the state of the standard.
    `int` | `hashCode()` |
    `boolean` | `isCheckedOut()` | Indicates whether the standard is checked out.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardDescriptor

          public StandardDescriptor​(java.lang.String id,
                                    java.lang.String name,
                                    BaseStandardTypeInfo baseStandardTypeInfo,
                                    java.lang.String modelId,
                                    java.lang.String description,
                                    boolean isCheckedOut,
                                    java.lang.String checkedOutBy,
                                    java.util.Date checkedOutDate,
                                    java.lang.String createdBy,
                                    java.util.Date created,
                                    java.lang.String lastModifiedBy,
                                    java.util.Date lastModified,
                                    EntityState state,
                                    EntityState publishedState,
                                    EntityStatus standardStatus,
                                    java.lang.String currentVersion,
                                    int numStudiesAssociated)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the standard descriptors returned by the API.
      Parameters:
        `id` - The identifier of the standard.
        `name` - The name of the standard.
        `baseStandardTypeInfo` - The base standard information.
        `modelId` - The model identifier of the standard.
        `description` - The description of the standard.
        `isCheckedOut` - Indicates whether the standard is checked out.
        `checkedOutBy` - The userId of the user who checked out the standard.
        `checkedOutDate` - The date on which the standard was checked out.
        `createdBy` - The userId of the user who created the standard.
        `created` - The date on which the standard was created.
        `lastModifiedBy` - The userId of the user who last modified the standard.
        `lastModified` - The date on which the standard was modified.
        `state` - The state of the standard.
        `publishedState` - The published state of the standard, if it has been published.
        `standardStatus` - The status of the standard.
        `currentVersion` - The current published version of the standard.
        `numStudiesAssociated` - The number of studies that are associated with the standard.

  - ### Method Detail

    - #### getNumStudiesAssociated

          public int getNumStudiesAssociated()

      Gets the number of studies that are associated with the standard.
      Returns:
        The number of studies that are associated with the standard.

    - #### getName

          public java.lang.String getName()

      Gets the name of the standard.
      Returns:
        The name of the standard.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the standard.
      Returns:
        The description of the standard.

    - #### getBaseStandardTypeInfo

          public BaseStandardTypeInfo getBaseStandardTypeInfo()

      Gets the base standard type info of the standard.
      Returns:
        The base standard type info of the standard.

    - #### getModelId

          public java.lang.String getModelId()

      Gets the model identifier of the standard.
      Returns:
        The model identifier of the standard.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the userId of the user who created the standard.
      Returns:
        The userId of the user who created the standard.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the standard was created.
      Returns:
        The date on which the standard was created.

    - #### isCheckedOut

          public boolean isCheckedOut()

      Indicates whether the standard is checked out.
      Returns:
        True, if the standard is checked out.

    - #### getCheckedOutBy

          public java.lang.String getCheckedOutBy()

      Gets the userId of the user who checked out the standard.
      Returns:
        The userId of the user who checked out the standard.

    - #### getCheckedOutDate

          public java.util.Date getCheckedOutDate()

      Gets the date on which the standard was checked out.
      Returns:
        The date on which the standard was checked out.

    - #### getState

          public EntityState getState()

      Gets the state of the standard.
      Returns:
        The state of the standard.

    - #### getPublishedState

          public EntityState getPublishedState()

      Gets the published state of the standard, if it has been published. Otherwise, null.
      Returns:
        The published state of the standard, if it has been published.

    - #### getStandardStatus

          public EntityStatus getStandardStatus()

      Gets the status of the standard.
      Returns:
        The status of the standard.

    - #### getCurrentVersion

          public java.lang.String getCurrentVersion()

      Gets the current published version of the standard. Returns 0, if the standard has not been published.
      Returns:
        The current published version of the standard. Returns 0, if the standard has not been published.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the standard was last modified.
      Returns:
        The date on which the standard was last modified.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the standard.
      Returns:
        The userId of the user who last modified the standard.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`